# Create notification subscription POST /api/notifications/subscriptions/subscribe Content-Type: application/json Link an event type to a notification channel Reference: https://docs.elacity.ai/api-reference/elacity-prm-api/notifications/subscribe ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: openapi version: 1.0.0 paths: /notifications/subscriptions/subscribe: post: operationId: subscribe summary: Create notification subscription description: Link an event type to a notification channel tags: - subpackage_notifications parameters: - name: X-API-Key in: header description: API key for programmatic access required: true schema: type: string responses: '200': description: OK content: application/json: schema: $ref: '#/components/schemas/Notifications_subscribe_Response_200' requestBody: content: application/json: schema: type: object properties: orgSlug: type: string channelId: type: string eventType: $ref: >- #/components/schemas/NotificationsSubscriptionsSubscribePostRequestBodyContentApplicationJsonSchemaEventType enabled: type: boolean default: true required: - orgSlug - channelId - eventType servers: - url: /api components: schemas: NotificationsSubscriptionsSubscribePostRequestBodyContentApplicationJsonSchemaEventType: type: string enum: - agent.stale - agent.drifted - agent.error - deployment.complete - deployment.error - deployment.partial title: >- NotificationsSubscriptionsSubscribePostRequestBodyContentApplicationJsonSchemaEventType Notifications_subscribe_Response_200: oneOf: - description: Any type - description: Any type title: Notifications_subscribe_Response_200 securitySchemes: apiKey: type: apiKey in: header name: X-API-Key description: API key for programmatic access ``` ## SDK Code Examples ```python import requests url = "https://api/notifications/subscriptions/subscribe" payload = { "orgSlug": "string", "channelId": "string", "eventType": "agent.stale" } headers = { "X-API-Key": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api/notifications/subscriptions/subscribe'; const options = { method: 'POST', headers: {'X-API-Key': '', 'Content-Type': 'application/json'}, body: '{"orgSlug":"string","channelId":"string","eventType":"agent.stale"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api/notifications/subscriptions/subscribe" payload := strings.NewReader("{\n \"orgSlug\": \"string\",\n \"channelId\": \"string\",\n \"eventType\": \"agent.stale\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("X-API-Key", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api/notifications/subscriptions/subscribe") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["X-API-Key"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"orgSlug\": \"string\",\n \"channelId\": \"string\",\n \"eventType\": \"agent.stale\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api/notifications/subscriptions/subscribe") .header("X-API-Key", "") .header("Content-Type", "application/json") .body("{\n \"orgSlug\": \"string\",\n \"channelId\": \"string\",\n \"eventType\": \"agent.stale\"\n}") .asString(); ``` ```php request('POST', 'https://api/notifications/subscriptions/subscribe', [ 'body' => '{ "orgSlug": "string", "channelId": "string", "eventType": "agent.stale" }', 'headers' => [ 'Content-Type' => 'application/json', 'X-API-Key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api/notifications/subscriptions/subscribe"); var request = new RestRequest(Method.POST); request.AddHeader("X-API-Key", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"orgSlug\": \"string\",\n \"channelId\": \"string\",\n \"eventType\": \"agent.stale\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "X-API-Key": "", "Content-Type": "application/json" ] let parameters = [ "orgSlug": "string", "channelId": "string", "eventType": "agent.stale" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api/notifications/subscriptions/subscribe")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```